package zone.yue.jvtc.javaee.exp14;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@Controller
public class UserController {
    private final Logger logger = LoggerFactory.getLogger(this.getClass());

    @GetMapping("/userDetail")
    String userDetail() {
        return "userDetail";
    }

    @PostMapping("/login")
    String login(
            @RequestParam String username,
            @RequestParam String password
    ) {
        logger.info("UserLogin: {} {}", username, password);
        return "loginSuccess";
    }
}
